### Function

# GObject BoxedCopyFunc

since: 2.0

#### Declaration

    gpointer
    (* GBoxedCopyFunc) (
      gpointer boxed
    )

#### Description

This function is provided by the user and should produce a copy of the passed in boxed structure.

Available since: 2.0

#### Parameters

`boxed`

  Type: `gpointer`

  The boxed structure to be copied.

  The data is owned by the caller of the function.

#### Return value

Type: `gpointer`

The newly created copy of the boxed structure.

The data is owned by the called function.